﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    
    protected void Page_Load(object sender, EventArgs e)
    {
		if (!Page.IsPostBack) // This will update the content of the RadRotator only through the RadEditor, you can remove it if you wish otherwise
		{
			RadRotator1.DataSource = GetFilesInFolder("~/Images");// Set datasource
			RadRotator1.DataBind();
		}
	}

    protected List<string> GetFilesInFolder(string folderVirtualPath)
    {
        string physicalPathToFolder = Server.MapPath(folderVirtualPath);// Get the physical path
        string[] physicalPathsCollection = System.IO.Directory.GetFiles(physicalPathToFolder);// Get all child files of the given folder
        List<string> virtualPathsCollection = new List<string>();// Contains the result

        foreach (String path in physicalPathsCollection)
        {
            string virtualPath = VirtualPathUtility.AppendTrailingSlash(folderVirtualPath) + System.IO.Path.GetFileName(path);
            virtualPathsCollection.Add(virtualPath);
        }
        return virtualPathsCollection;
    }

	protected void buttonSubmit_Click(object sender, EventArgs e)
	{
		int itemsCount = RadRotator1.Items.Count;
		int currentIndex = 0;
		while (currentIndex < itemsCount)
		{
			RadRotator1.Items.RemoveAt(0);
			currentIndex++;
		}
	}

}